Skip to content

Put Inline Policy

POST
/enum.api.v1.ObjectStorageUserPolicyService/PutObjectStorageUserInlinePolicy

Creates or replaces an inline IAM policy document on an object storage user.

object
projectId
string
objectStorageUserId
string
policyName

Unique name of the inline policy within the user.

string
policyDocument

IAM policy document JSON.

string

OK

object
objectStorageUserPolicy

ObjectStorageUserPolicy is a managed or inline IAM policy attachment on an object storage user.

object
id
string
projectId
string
objectStorageUserId
string
kind
string format: enum
Allowed values: OBJECT_STORAGE_USER_POLICY_KIND_UNSPECIFIED OBJECT_STORAGE_USER_POLICY_KIND_MANAGED OBJECT_STORAGE_USER_POLICY_KIND_INLINE
policyArn

Set for managed policies (AWS managed policy ARN).

string
policyName

Set for inline policies.

string
policyDocument

Inline policy JSON document. Only populated for inline policies.

string
status
string format: enum
Allowed values: RESOURCE_STATUS_UNSPECIFIED RESOURCE_STATUS_PROVISIONING RESOURCE_STATUS_READY RESOURCE_STATUS_FAILED RESOURCE_STATUS_DELETING
createdAt
string format: date-time
updatedAt
string format: date-time